Package org.apache.maven.scm.command.login

## Class AbstractLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.login.AbstractLoginCommand

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `CvsLoginCommand`, `PerforceLoginCommand`

    public abstract class AbstractLoginCommand
    extends AbstractCommand

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractLoginCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`abstract LoginScmResult` `executeLoginCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLoginCommand

    public AbstractLoginCommand()

### Method Detail

#### executeLoginCommand

    public abstract LoginScmResult executeLoginCommand​(ScmProviderRepository repository,
                                                       ScmFileSet fileSet,
                                                       CommandParameters parameters)
                                                throws ScmException

Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand​(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`